summaryrefslogtreecommitdiffstats
path: root/source/xap/geeqie/geeqie.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/geeqie/geeqie.SlackBuild')
-rwxr-xr-xsource/xap/geeqie/geeqie.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/source/xap/geeqie/geeqie.SlackBuild b/source/xap/geeqie/geeqie.SlackBuild
index a45031076..d2138c0a4 100755
--- a/source/xap/geeqie/geeqie.SlackBuild
+++ b/source/xap/geeqie/geeqie.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2010, 2011, 2012, 2015, 2016, 2018, 2022 Patrick Volkerding, Sebeka, MN, USA
+# Copyright 2010, 2011, 2012, 2015, 2016, 2018, 2022, 2023 Patrick Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=geeqie
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Download the geeqie Git head if there's no tarball:
if ! /bin/ls $CWD/geeqie*tar* 1> /dev/null 2> /dev/null ; then
@@ -89,6 +89,8 @@ find . \
mv ChangeLog.gqview ChangeLog
+cat $CWD/geeqie-2.1-lua.patch | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"